<div class="admin-dashboard-container">
  <div class="top-card">
    <div class="scroll-wrapper">
      <table mat-table matSort [dataSource]="adminNews">
        <!-- headline -->
        <ng-container matColumnDef="headline">
          <th mat-header-cell *matHeaderCellDef>
            {{ 'adminDashboard.headline' | translate }}
          </th>
          <td mat-cell *matCellDef="let news" class="headline-container">
            <b> {{ news.headline }} </b>
          </td>
        </ng-container>

        <!-- text -->
        <ng-container matColumnDef="news">
          <th mat-header-cell *matHeaderCellDef>
            {{ 'adminDashboard.text' | translate }}
          </th>
          <td mat-cell *matCellDef="let news" class="text-container">
            {{ news.text }}
          </td>
        </ng-container>

        <!-- date -->
        <ng-container matColumnDef="date">
          <th mat-header-cell *matHeaderCellDef>
            {{ 'adminDashboard.date' | translate }}
          </th>
          <td mat-cell *matCellDef="let news">
            {{ dateFormatterService.getDateInRightFormat(news.date) }}
          </td>
        </ng-container>

        <!-- state -->
        <ng-container matColumnDef="state">
          <th mat-header-cell *matHeaderCellDef>
            {{ 'adminDashboard.state' | translate }}
          </th>
          <td mat-cell *matCellDef="let news" class="state-container">
            <mat-icon
              *ngIf="news.draft"
              [matTooltip]="'adminDashboard.draft' | translate"
              class="draft-icon"
              >public_off</mat-icon
            >
            <mat-icon
              *ngIf="!news.draft"
              [matTooltip]="'adminDashboard.published' | translate"
              class="public-icon"
              >public</mat-icon
            >
          </td>
        </ng-container>

        <!-- action -->
        <ng-container matColumnDef="action">
          <th mat-header-cell *matHeaderCellDef>
            {{ 'adminDashboard.actions' | translate }}
          </th>
          <td
            mat-cell
            *matCellDef="let news; let i = index"
            class="actions-container"
            (click)="$event.stopPropagation()"
          >
            <div class="flex-container">
              <mat-icon class="action-buttons" (click)="editPost(news.id, i)"
                >edit</mat-icon
              >
              <mat-icon class="action-buttons" (click)="deletePost(news.id)"
                >delete</mat-icon
              >
              <div class="up-down-buttons">
                <mat-icon class="action-buttons" (click)="movePost(i, -1)"
                  >expand_less</mat-icon
                >
                <mat-icon class="action-buttons" (click)="movePost(i, 1)"
                  >expand_more</mat-icon
                >
              </div>
            </div>
          </td>
        </ng-container>

        <tr
          mat-header-row
          *matHeaderRowDef="displayedColumns; sticky: true"
        ></tr>
        <tr
          mat-row
          *matRowDef="let row; columns: displayedColumns"
          class="table-row"
          (click)="this.logger.info(row)"
        ></tr>
      </table>
    </div>
  </div>

  <div class="left-card">
    <form [formGroup]="form" class="edit-form">
      <mat-form-field appearance="fill">
        <input
          matInput
          placeholder="{{ 'adminDashboard.enterHeadline' | translate }}"
          formControlName="headlineToPost"
        />
      </mat-form-field>

      <mat-form-field class="stretch-height" appearance="fill">
        <textarea
          matInput
          placeholder="{{ 'adminDashboard.enterText' | translate }}"
          formControlName="messageToPost"
        ></textarea>
      </mat-form-field>

      <div class="edit-button-container">
        <!-- Publish -->
        <button
          mat-raised-button
          color="primary"
          type="button"
          (click)="onSubmit(false)"
        >
          <div>{{ 'adminDashboard.postMessage' | translate }}</div>
        </button>

        <!-- Save as draft -->
        <button
          *ngIf="!editMode || editedPostState"
          mat-raised-button
          color="primary"
          type="button"
          (click)="onSubmit(true)"
        >
          <div>{{ 'adminDashboard.saveDraft' | translate }}</div>
        </button>
      </div>
    </form>
  </div>

  <!--<div class="white">{{ 'adminDashboard.preview' | translate }}</div>-->
  <energy-platform-newsfeed
    class="right-card"
    [showDrafts]="true"
  ></energy-platform-newsfeed>
</div>
